summaryrefslogtreecommitdiff
path: root/coin/provisioning/common/unix
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/common/unix')
-rwxr-xr-xcoin/provisioning/common/unix/libclang.sh15
-rwxr-xr-xcoin/provisioning/common/unix/squishInstall.sh44
2 files changed, 41 insertions, 18 deletions
diff --git a/coin/provisioning/common/unix/libclang.sh b/coin/provisioning/common/unix/libclang.sh
index 1c9f1597..a1ec670f 100755
--- a/coin/provisioning/common/unix/libclang.sh
+++ b/coin/provisioning/common/unix/libclang.sh
@@ -47,18 +47,23 @@ source "${BASH_SOURCE%/*}/SetEnvVar.sh"
# shellcheck source=./DownloadURL.sh
source "${BASH_SOURCE%/*}/DownloadURL.sh"
-libclang_version=10.0
+libclang_version=11.0
if uname -a |grep -q Darwin; then
version=$libclang_version
url="https://download.qt.io/development_releases/prebuilt/libclang/qt/libclang-release_${version//\./}-based-mac.7z"
url_cached="http://ci-files01-hki.intra.qt.io/input/libclang/qt/libclang-release_${version//\./}-based-mac.7z"
- sha1="6e019c428511e74c5d46d0ddca79d8e804b67f8a"
+ sha1="2ea23914089df532385a527861feb010a867000b"
+elif test -f /etc/redhat-release && cat /etc/redhat-release | grep "Red Hat"; then
+ version=$libclang_version
+ url="https://download.qt.io/development_releases/prebuilt/libclang/qt/libclang-release_${version//\./}-based-linux-Rhel7.6-gcc5.3-x86_64.7z"
+ url_cached="http://ci-files01-hki.intra.qt.io/input/libclang/qt/libclang-release_${version//\./}-based-linux-Rhel7.6-gcc5.3-x86_64.7z"
+ sha1="eeb9b9bed81308cc4c7a7ac177e15baec7214d5e"
else
version=$libclang_version
- url="https://download.qt.io/development_releases/prebuilt/libclang/qt/libclang-release_${version//\./}-based-linux-Ubuntu18.04-gcc9.2-x86_64.7z"
- url_cached="http://ci-files01-hki.intra.qt.io/input/libclang/qt/libclang-release_${version//\./}-based-linux-Ubuntu18.04-gcc9.2-x86_64.7z"
- sha1="08f352d411e4b47c2a259c3b120d7cb2db01e41d"
+ url="https://download.qt.io/development_releases/prebuilt/libclang/qt/libclang-release_${version//\./}-based-linux-Ubuntu20.04-gcc9.3-x86_64.7z"
+ url_cached="http://ci-files01-hki.intra.qt.io/input/libclang/qt/libclang-release_${version//\./}-based-linux-Ubuntu20.04-gcc9.3-x86_64.7z"
+ sha1="57ebaac89bbe51a661f31a13c5e3829e34aa8b80"
fi
zip="/tmp/libclang.7z"
diff --git a/coin/provisioning/common/unix/squishInstall.sh b/coin/provisioning/common/unix/squishInstall.sh
index 04ce9b93..327c8af5 100755
--- a/coin/provisioning/common/unix/squishInstall.sh
+++ b/coin/provisioning/common/unix/squishInstall.sh
@@ -41,19 +41,20 @@ set -ex
# This script will fetch and extract pre-buildt squish package for Linux and Mac.
# Squish is need by Release Test Automation (RTA)
-version="6.6.1"
-qtBranch="515x"
+version="6.7-20210119-1632"
+qtBranch="60x"
installFolder="/opt"
squishFolder="$installFolder/squish"
preBuildCacheUrl="ci-files01-hki.intra.qt.io:/hdd/www/input/squish/jenkins_build/stable"
-licenseUrl="http://ci-files01-hki.intra.qt.io/input/squish/coin/$qtBranch/.squish-3-license"
+licenseUrl="http://ci-files01-hki.intra.qt.io/input/squish/coin/515x/.squish-3-license"
licenseSHA="e000d2f95b30b82f405b9dcbeb233cd43710a41a"
if uname -a |grep -q Darwin; then
- compressedFolder="prebuild-squish-$version-$qtBranch-macx86_64.tar.gz"
+ version="6.6.1"
+ compressedFolder="prebuild-squish-$version-515x-macx86_64.tar.gz"
sha1="9fff9a7cb037214d21f47f2cc53747885fd1f2ae"
else
compressedFolder="prebuild-squish-$version-$qtBranch-linux64.tar.gz"
- sha1="3a50052caafa3ca583b7edf754227999d7185ffa"
+ sha1="8780665c3560456cd86980802cb24513233444fe"
fi
mountFolder="/tmp/squish"
@@ -100,7 +101,8 @@ sudo mv "$installFolder/rta_squish_$version" "$squishFolder"
if uname -a |grep -q "Ubuntu"; then
if [ ! -e "/usr/lib/tcl8.6" ]; then
sudo mkdir /usr/lib/tcl8.6
- sudo cp "$squishFolder/squish_for_qt/tcl/lib/tcl8.6/init.tcl" /usr/lib/tcl8.6/
+ #this needs to be copied only to squish_for_qt6
+ sudo cp "$squishFolder/squish_for_qt6/tcl/lib/tcl8.6/init.tcl" /usr/lib/tcl8.6/
fi
fi
@@ -112,18 +114,34 @@ sudo chown qt:$usersGroup "$HOME/.squish-3-license"
echo "Set commands for environment variables in .bashrc"
if uname -a |grep -q "Ubuntu"; then
- echo "export SQUISH_PATH=$squishFolder/squish_for_qt" >> ~/.profile
- echo "export PATH=\$PATH:$squishFolder/squish_for_qt/bin" >> ~/.profile
+ echo "export SQUISH_PATH=$squishFolder/squish_for_qt6" >> ~/.profile
+ echo "export PATH=\$PATH:$squishFolder/squish_for_qt6/bin" >> ~/.profile
else
echo "export SQUISH_PATH=$squishFolder/squish_for_qt" >> ~/.bashrc
echo "export PATH=\$PATH:$squishFolder/squish_for_qt/bin" >> ~/.bashrc
fi
-echo "Verifying Squish"
-if "$squishFolder/squish_for_qt/bin/squishrunner" --testsuite "$squishFolder/suite_test_squish" | grep "Squish test run successfully" ; then
- echo "Squish for Qt installation tested successfully"
+echo "Verifying Squish, available installations:"
+ls -la $squishFolder
+if uname -a |grep -q Darwin; then
+ if "$squishFolder/squish_for_qt/bin/squishrunner" --testsuite "$squishFolder/suite_test_squish" | grep "Squish test run successfully" ; then
+ echo "Squish for Qt installation tested successfully"
+ else
+ echo "Squish for Qt test failed! Package wasn't installed correctly."
+ exit 1
+ fi
else
- echo "Squish for Qt test failed! Package wasn't installed correctly."
- exit 1
+ if "$squishFolder/squish_for_qt5/bin/squishrunner" --testsuite "$squishFolder/suite_test_squish" | grep "Squish test run successfully" ; then
+ echo "Squish for Qt5 installation tested successfully"
+ else
+ echo "Squish for Qt5 test failed! Package wasn't installed correctly."
+ exit 1
+ fi
+ if "$squishFolder/squish_for_qt6/bin/squishrunner" --testsuite "$squishFolder/suite_test_squish" | grep "Squish test run successfully" ; then
+ echo "Squish for Qt6 installation tested successfully"
+ else
+ echo "Squish for Qt6 test failed! Package wasn't installed correctly."
+ exit 1
+ fi
fi